API reference
Settlement API
Reconcile earnings and payouts.
Retrieve granular settlement data — what was earned, what’s pending, and what’s been paid. Reconcile FOODS payouts against your own ledger and pay your riders with confidence.
Capabilities
- List settlements by period
- Break earnings down per order and per rider
- Retrieve payout statements
- Reconcile against your ledger
Endpoints
GET
/v1/settlementsList settlements for a period
GET
/v1/settlements/{id}Retrieve a settlement statement
GET
/v1/earningsPer-order earnings breakdown
Retrieve a settlement statement
Request
curl https://api.foodsbyme.com/v1/settlements/set_2026w24 \
-H "Authorization: Bearer $FOODS_PARTNER_KEY"Response · 200 OK
{
"id": "set_2026w24",
"period": "2026-W24",
"currency": "NGN",
"gross": 1840500,
"deductions": 0,
"net": 1840500,
"status": "paid",
"orders_count": 2166,
"paid_at": "2026-06-16T09:00:00Z"
}